OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.ClipSpaceWScaling

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVClipSpaceWScaling :: MonadIO m => m Bool
- gl_NV_clip_space_w_scaling :: Bool
- pattern GL_VIEWPORT_POSITION_W_SCALE_NV :: GLenum
- pattern GL_VIEWPORT_POSITION_W_SCALE_X_COEFF_NV :: GLenum
- pattern GL_VIEWPORT_POSITION_W_SCALE_Y_COEFF_NV :: GLenum
- glViewportPositionWScaleNV :: MonadIO m => GLuint -> GLfloat -> GLfloat -> m ()

# Extension Support

glGetNVClipSpaceWScaling :: MonadIO m => m Bool Source #

Is the NV_clip_space_w_scaling extension supported?

gl_NV_clip_space_w_scaling :: Bool Source #

Is the NV_clip_space_w_scaling extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVClipSpaceWScaling` in those cases instead.

# Enums

pattern GL_VIEWPORT_POSITION_W_SCALE_NV :: GLenum Source #

pattern GL_VIEWPORT_POSITION_W_SCALE_X_COEFF_NV :: GLenum Source #

pattern GL_VIEWPORT_POSITION_W_SCALE_Y_COEFF_NV :: GLenum Source #

# Functions

glViewportPositionWScaleNV Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `xcoeff`.
-> GLfloat | `ycoeff`.
-> m () |